<div class="card-music" [routerLink]="'/music/tracks/' + item.id">
  <figure class="card-music__img"
    [ngClass]="{ 'red' : (item.type === 'track'), 'blue' : (item.type === 'album'), 'yellow' : (item.type === 'artist') }">
    <img class="card-music__cover"
      [ngClass]="{ 'red' : (item.type === 'track'), 'blue' : (item.type === 'album'), 'yellow' : (item.type === 'artist') }"
      [src]="(item!.img !== '') ? (item!.img) : 'assets/default_song.png'" alt="imagen de card">
    <figcaption> {{ item.type }} </figcaption>
    <span class="card-music__play">
      <img src="assets/icons/play-icon-black.svg" alt="play icon">
    </span>
  </figure>
  <h4 class="card-music__title" title="Nombre">{{ item.name }}</h4>
  <div class="card-music__links">
    <a class="card-music__link" href="" *ngFor="let genre of item?.genres"> {{ genre }} </a>
  </div>
</div>
